// Copyright  1991 by Apple Computer, Inc.  All rights reserved. 
// Eenie.r file.

// INCLUDES ---------------------------------------------------------------------------------
// Auto-Include the requirements for this source

#ifndef __TYPES.R__
#include "Types.r"
#endif

#ifndef __SYSTYPES.R__
#include "SysTypes.r"				// needed for version resource
#endif		

#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#if qTemplateViews
#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif
#endif

#if qDebug
include "Debug.rsrc";
#endif

#include "EenieRez.h"				// common header file for resource IDs


// RESOURCES -------------------------------------------------------------------------------

include "MacApp.rsrc";
include "Printing.rsrc";

include "cursor.rsrc";				// cursor resources

// include "views.rsrc";

// CODE ------------------------------------------------------------------------------------

#if !qPowerPC
include $$Shell("ObjApp")"Eenie" 'CODE';
#endif


// SIZE ------------------------------------------------------------------------------------

resource 'SIZE' (-1) {
	saveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	doesActivateOnFGSwitch,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreAppDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	isStationeryAware,				
	reserved,
	reserved,
	reserved,
	reserved,
#if qModelFarCode
	1550 * 1024,
	1500 * 1024,
#elif qDebug
	1500 * 1024,
	1475 * 1024
#else
	1375 * 1024,
	1350 * 1024
#endif
};

/*--------------------------------------------------------------------------------
	memory stuff
--------------------------------------------------------------------------------*/
resource 'mem!' (132,
#if qNames
	"Additional Stack Space",
#endif
	purgeable) {
	0,				// Add to object heap size
	0,				// Add to heap increment size
	0,				// Add to temporary reserve
	0,				// Add to permanent reserve
	49152			// Add to stack space
};



/*	Printing to the LaserWriter is the time when the most temporary memory
	is in use.  We need the segments in use at that time */

resource 'seg!' (256, purgeable) {
	{
		"GNonRes";
		"GClipboard";
		"GClose";
		"GFile";
		"GOpen";
		"GReadFile";
		"GSelCommand";
		"GFinder";
		"GWriteFile";
		"BBNonRes";
		"BBOpen";
		"GNonRes2";
		"GPrint";
		"GReadResource";
		"TESelCommand";
	}
};

#if qPowerPC
#include "CodeFragmentTypes.r"

resource 'cfrg' (0, "Configuration Info") {
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		0,
		0,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"Eenie"
	}
};
#endif


// VERS ------------------------------------------------------------------------------------
// Get the default Version resources

include "Defaults.rsrc"  'vers' (1);				// application or file specific


// ALERTS AND DLOGS ------------------------------------------------------------------------

include "Defaults.rsrc" 'ALRT'	(phAboutApp);		// About window
include "Defaults.rsrc" 'DITL'	(phAboutApp);		// About contents
include "Defaults.rsrc" 'STR#'	(kDefaultCredits);	// credits


// ICONs and BUNDLEs -----------------------------------------------------------------------
// Get the default MacApp application icon and file reference

include "Defaults.rsrc"  'ICN#' (128);
include "Defaults.rsrc"  'FREF' (128);


// CMNUs -----------------------------------------------------------------------------------

include "Defaults.rsrc" 'CMNU' (mApple);			// grab the default Apple/File menus

resource 'CMNU' (mFile,
#if qNames
"mFile",
#endif
nonpurgeable) {
	mFile,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"File",
	{
	"New",				noIcon, "N",	noMark, plain, cNew;
	"Close",			noIcon, "W",	noMark, plain, cClose;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Quit",				noIcon, "Q",	noMark, plain, cQuit
	}
};



// MBARs -----------------------------------------------------------------------------------
// Displayed menus 

resource 'MBAR' (kMBarDisplayed,
#if qNames
"Windoid",
#endif
	purgeable) {
	{mApple; mFile}
};


// VIEWS - NEW VIEW TEMPLATES --------------------------------------------------------------

resource 'STR#' (706, "Window titles", purgeable) {
	{
	"Dependency and Adorner Test Program"
	}
};

resource 'STR#' (705, "Static Text text", purgeable) {
	{
	"Click in the views!"
	}
};

resource 'TxSt' (700, purgeable) {tsPlain, 9, black, "Geneva"};

resource 'View' (1002, "theWindow", purgeable) {
	MAThreeOh,
	{	/* array ViewArray: 6 elements */
		/* [1] */
		ViewSignatureAndClassname {
			'wind',
			525,
			"",
			'WND1',
			enabled,
			noIdle,
			{	/* array BehaviorArray: 0 elements */
			},
			MAThreeOh,
			{	/* array: 2 elements */
				/* [1] */
				50,
				/* [2] */
				40
			},
			{	/* array: 2 elements */
				/* [1] */
				340,
				/* [2] */
				320
			},
			sizeVariable,
			sizeVariable,
			shown,
			doesntWantToBeTarget,
			handlesCursor,
			letsSubViewsHandleCursor,
			noCursorID,
			handlesHelp,
			letsSubViewsHandleHelp,
			noHelpID,
			1,
			NoDrawingEnvironment {

			},
			AdornerListSignatureAndClassname {
				NoIdentifier,
				AdornerList,
				AdornerElementSize,
				AdornerElementSizeShift,
				DynamicArrayAllocationIncrement,
				{	/* array AdornerElementArray: 2 elements */
					/* [1] */
					AdornFirst,
					AdornerLocalObject {
						EraseAdorner
					},
					/* [2] */
					DrawView,
					AdornerLocalObject {
						DrawAdorner
					}
				}
			},
			emptyUserArea,
			Window {
				documentProc,
				noID,
				goAwayBox,
				notResizable,
				ignoreFirstClick,
				freeOnClosing,
				disposeOnFree,
				closesDocument,
				openWithDocument,
				dontAdaptToScreen,
				stagger,
				forceOnScreen,
				dontCenter,
				doesntFloat,
				doesntHideOnSuspend,
				generateActivates,
				filler,
				706,
				1
			},
			5
		},
		/* [2] */
		ViewSignatureAndClassname {
			'view',
			72,
			"TEenieView1",
			'VW01',
			enabled,
			noIdle,
			{	/* array BehaviorArray: 0 elements */
			},
			MAThreeOh,
			{	/* array: 2 elements */
				/* [1] */
				16,
				/* [2] */
				16
			},
			{	/* array: 2 elements */
				/* [1] */
				144,
				/* [2] */
				128
			},
			sizeFixed,
			sizeFixed,
			shown,
			doesntWantToBeTarget,
			handlesCursor,
			letsSubViewsHandleCursor,
			701,
			handlesHelp,
			letsSubViewsHandleHelp,
			noHelpID,
			1,
			NoDrawingEnvironment {

			},
			NoAdorners {

			},
			emptyUserArea,
			View {

			},
			NoSubviews
		},
		/* [3] */
		ViewSignatureAndClassname {
			'view',
			62,
			"TEenieView4",
			'VW04',
			enabled,
			noIdle,
			{	/* array BehaviorArray: 0 elements */
			},
			MAThreeOh,
			{	/* array: 2 elements */
				/* [1] */
				176,
				/* [2] */
				176
			},
			{	/* array: 2 elements */
				/* [1] */
				144,
				/* [2] */
				128
			},
			sizeVariable,
			sizeVariable,
			shown,
			doesntWantToBeTarget,
			handlesCursor,
			letsSubViewsHandleCursor,
			704,
			handlesHelp,
			letsSubViewsHandleHelp,
			noHelpID,
			1,
			NoDrawingEnvironment {

			},
			NoAdorners {

			},
			emptyUserArea,
			View {

			},
			NoSubviews
		},
		/* [4] */
		ViewSignatureAndClassname {
			'view',
			62,
			"TEenieView3",
			'VW03',
			enabled,
			noIdle,
			{	/* array BehaviorArray: 0 elements */
			},
			MAThreeOh,
			{	/* array: 2 elements */
				/* [1] */
				176,
				/* [2] */
				16
			},
			{	/* array: 2 elements */
				/* [1] */
				144,
				/* [2] */
				128
			},
			sizeVariable,
			sizeVariable,
			shown,
			doesntWantToBeTarget,
			handlesCursor,
			letsSubViewsHandleCursor,
			703,
			handlesHelp,
			letsSubViewsHandleHelp,
			noHelpID,
			1,
			NoDrawingEnvironment {

			},
			NoAdorners {

			},
			emptyUserArea,
			View {

			},
			NoSubviews
		},
		/* [5] */
		ViewSignatureAndClassname {
			'view',
			62,
			"TEenieView2",
			'VW02',
			enabled,
			noIdle,
			{	/* array BehaviorArray: 0 elements */
			},
			MAThreeOh,
			{	/* array: 2 elements */
				/* [1] */
				16,
				/* [2] */
				176
			},
			{	/* array: 2 elements */
				/* [1] */
				144,
				/* [2] */
				128
			},
			sizeVariable,
			sizeVariable,
			shown,
			doesntWantToBeTarget,
			handlesCursor,
			letsSubViewsHandleCursor,
			702,
			handlesHelp,
			letsSubViewsHandleHelp,
			noHelpID,
			1,
			NoDrawingEnvironment {

			},
			NoAdorners {

			},
			emptyUserArea,
			View {

			},
			NoSubviews
		},
		/* [6] */
		ViewSignatureAndClassname {
			'stat',
			96,
			"",
			'VW06',
			notEnabled,
			noIdle,
			{	/* array BehaviorArray: 0 elements */
			},
			MAThreeOh,
			{	/* array: 2 elements */
				/* [1] */
				0,
				/* [2] */
				10
			},
			{	/* array: 2 elements */
				/* [1] */
				12,
				/* [2] */
				90
			},
			sizeFixed,
			sizeFixed,
			shown,
			doesntWantToBeTarget,
			handlesCursor,
			letsSubViewsHandleCursor,
			noCursorID,
			handlesHelp,
			letsSubViewsHandleHelp,
			noHelpID,
			1,
			NoDrawingEnvironment {

			},
			NoAdorners {

			},
			emptyUserArea,
			StaticText {
				mStaticTextHit,
				hilited,
				notDimmed,
				sizeable,
				{	/* array: 4 elements */
					/* [1] */
					0,
					/* [2] */
					0,
					/* [3] */
					0,
					/* [4] */
					0
				},
				700,
				dontPreferOutline,
				autoWrap,
				dontEraseFirst,
				justSystem,
				705,
				1
			},
			NoSubviews
		}
	}
};
