// UEenie.h -----------------------------------------------------------------
// Copyright  1991 by Apple Computer, Inc. All rights reserved.

// INCLUDE FILES --------------------------------------------------------------

#include "IncludeFiles.h";


//FORWARD DECLARATIONS --------------------------------------------------------

class TEenieView;
class TEenieView1; class TEenieView2; class TEenieView3; class TEenieView4;


// GLOBALS --------------------------------------------------------------------

CRGBColor gDKGray(18000, 22000, 25000);		// dark gray adorner color
CRGBColor gDKPink(0xF8FF, 0x2666, 0xFFFF); 	// dark pink hilite color


// CLASS DEFINITIONS-----------------------------------------------------------

// TApplication ---------------------------------------------------------------

DeclareClassDesc(TAdornerApplication);

class TAdornerApplication : public TApplication {

	DeclareClass(TAdornerApplication);

public:
//	METHODS
	virtual 	 void 		IAdornerApplication(OSType fileType, OSType creator);
	virtual 	 TDocument* 	DoMakeDocument(CommandNumber, TFile*);
};


// TDocuments -----------------------------------------------------------------

DeclareClassDesc(TAdornerDocument);

class TAdornerDocument : public TDocument {

	DeclareClass(TAdornerDocument);

public:
//	METHODS
	virtual 	 void		IAdornerDocument();		// init Adorner doucument (if any)
	virtual 	 void 	DoMakeViews(Boolean /*forPrinting*/);
};


// TEenieView ----------------------------------------------------------------

DeclareClassDesc(TEenieView);

class TEenieView  : public TView{

	DeclareClass(TEenieView);

public:
// 	TYPEDEFS AND ENUMS
	enum   eViewChange {eVIEW1=700, eVIEW2, eVIEW3, eVIEW4};
	
//	METHODS
	TEenieView();
	virtual 	 void		DoPostCreate(TDocument* itsDocument);
	virtual 	 void 	Hilite();
	
//	FIELDS
	long					fCounter;
};


DeclareClassDesc(TEenieView1);

class TEenieView1 : public TEenieView {

	DeclareClass(TEenieView1);

public:
//	METHODS
	virtual 	 void	Draw(const VRect& area);
	virtual 	 void 	DrawNumber();
	virtual 	 void	DoMouseCommand(	VPoint& theMouse,
								  		TToolboxEvent* event,
								  		CPoint hysteresis);

	virtual 	 void 	DoUpdate(ChangeID theChange,
									TObject* changedObject,
									TObject* changedBy,
									TDependencySpace* dependencySpace);
};


DeclareClassDesc(TEenieView2);

class TEenieView2 : public TEenieView {

	DeclareClass(TEenieView2);

public:
//	METHODS
	virtual 	 void	Draw(const VRect& area);
	virtual 	 void 	DrawNumber();
	virtual 	 void	DoMouseCommand(	VPoint& theMouse,
								  		TToolboxEvent* event,
								  		CPoint hysteresis);
	virtual 	 void 	DoUpdate(ChangeID theChange,
									TObject* changedObject,
									TObject* changedBy,
									TDependencySpace* dependencySpace);
};


DeclareClassDesc(TEenieView3);

class TEenieView3 : public TEenieView {

	DeclareClass(TEenieView3);

public:
//	METHODS
	virtual 	 void	Draw(const VRect& area);
	virtual 	 void 	DrawNumber();
	virtual 	 void	DoMouseCommand(	VPoint& theMouse,
								  		TToolboxEvent* event,
								  		CPoint hysteresis);
	virtual 	 void 	DoUpdate(ChangeID theChange,
									TObject* changedObject,
									TObject* changedBy,
									TDependencySpace* dependencySpace);
};


DeclareClassDesc(TEenieView4);

class TEenieView4 : public TEenieView {

	DeclareClass(TEenieView4);

public:
//	METHODS
	virtual 	 void	Draw(const VRect& area);
	virtual 	 void 	DrawNumber();
	virtual 	 void	DoMouseCommand(	VPoint& theMouse,
								  		TToolboxEvent* event,
								  		CPoint hysteresis);
	virtual 	 void 	DoUpdate(ChangeID theChange,
									TObject* changedObject,
									TObject* changedBy,
									TDependencySpace* dependencySpace);
};


// ADORNERS ------------------------------------------------------------------

DeclareClassDesc(TGrayFill);

class TGrayFill : public TAdorner {

	DeclareClass(TGrayFill);

public:
//	METHODS
	virtual 	 void Draw(TView*	itsView, const VRect& /*area*/); 
};


DeclareClassDesc(TOtherGrayFill);

class TOtherGrayFill : public TAdorner {

	DeclareClass(TOtherGrayFill);

public:
//	METHODS
	virtual 	 void Draw(TView*	itsView, const VRect& /*area*/); 
};


DeclareClassDesc(TEtchedFrame);

class TEtchedFrame : public TAdorner {

	DeclareClass(TEtchedFrame);

public:
//	METHODS
	TEtchedFrame();	
	virtual 	 void Draw(TView*	itsView, const VRect& /*area*/);

//	FIELDS
	Point 				fInset;
};


