// 	About.h
// 	Copyright  1992 by Apple Computer, Inc. All rights reserved.
//	Kent Sandvik DTS
//	This file contains the About box code including any adorners/behaviors
//	The resources are placed in the project .r file
//	Version Info (latest first):
//
//	<1>		khs		1.0		First final version
//	<2>		khs		1.0.1	Fixed a memory leak in TMapApplication::GetSleepValue()


#ifndef __ABOUT__
#define __ABOUT__

#ifndef __MACAPP__
#include <MacApp.h>
#endif

#ifndef __RESOURCES__
#include <Resources.h>
#endif


//	CONSTANTS

const unsigned short phAboutBox = 12000;		// our resource which resides in the .r file
const ResType kVersInfoType = 'vers';			// for getting out the version info from the binary
const ResNumber kVers1InfoID = 1;
const IDType kBlueMetalLook = 'blmt';			// our AboutBox adorner ID


//	FUNCTION PROTOTYPES

void CreateAboutBox();							// the one and only function, place this inside the
// TApplication->DoAboutBox(), and you are up and running!


//	CLASSES
//	Our adorner used inside the About Box resource

DeclareClassDesc(TMetalBlueFill);

class TMetalBlueFill : public TAdorner
{
DeclareClass(TMetalBlueFill);
public:
	TMetalBlueFill();
	virtual 	 void Draw(TView* itsView,
							 const VRect&		/*area*/);
};



#endif

