// 	MMouseInfo.cp
// 	Copyright  1992 by Apple Computer, Inc. All rights reserved.
//	Kent Sandvik DTS
//	This is the main-main file, it all starts here...
//	Version Info (latest first):
//
//	<1>		khs		1.0		First final version
//	<2>		khs		1.0.1	Fixed a memory leak in TMapApplication::GetSleepValue()


// INCLUDES
#ifndef __MOUSEINFO__
#include "UMouseInfo.h"
#endif

#ifndef __UMENUEDWINDOW__
#include "UMenuedWindow.h"
#endif

#ifndef __MOUSETRACKBEHAVIOR__
#include "UMouseTrackBehavior.h"
#endif


// T H E   M A I N	P R O G R A M

TMapApplication* gMapApplication = NULL;		// the application object 
RgnHandle gtempRgn;								// used for sleep region calculations


void main()
{
	InitToolBox();								// essential toolbox and utilities initialization

	// make sure we can run
	if (ValidateConfiguration(gConfiguration) && gConfiguration.hasColorQD)
	{
		// we made it! Continue with remainder of initialization 
		gtempRgn = MakeNewRgn();				// create the region needed for sleep region calcs

		InitUMacApp(8);							// initialize MacApp; 8 calls to MoreMasters
		InitUDialog();							// initialize the TDialog view handling
		InitUFloatWindow();						// initialize floating window units

		// construct a new TMapApplication object, allocation errors are checked for.
		gMapApplication = new TMapApplication;
		gMapApplication->IMapApplication(kFileType, kSignature);

		InitUMenuedWindow(mWindows);			// initialize UMenuedWindow Behavior module
		InitMouseTrackBehavior();				// initialize Mouse Tracking behavior module

		gMapApplication->Run();					// run the application, when it's done - exit.
	}
	else
		StdAlert(phUnsupportedConfiguration);
}


