// Copyright (c) 1991 Apple Computer. All rights reserved.

// INCLUDES 

#ifndef __TYPES_R__
#include "Types.r"
#endif

#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

#ifndef __BalloonTypes__
#include "BalloonTypes.r"
#endif

#if qDebug
include "Debug.rsrc" not 'ckid';
#endif
include "MacApp.rsrc" not 'ckid';
include "Dialog.rsrc" not 'ckid';


// RESOURCES FILES

// CODE 

#if !qPowerPC
include $$Shell("ObjApp")"Dialogs" 'CODE';
#endif

// CONSTANTS

// Finder Information

#define kApplicationName				$$Shell("XAppName")

resource 'SIZE' (-1) {
	saveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	doesActivateOnFGSwitch,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreAppDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	isStationeryAware,				
	reserved,
	reserved,
	reserved,
	reserved,
#if qModelFarCode
	1550 * 1024,
	1500 * 1024,
#elif qDebug
	1500 * 1024,
	1475 * 1024
#else
	1375 * 1024,
	1350 * 1024
#endif
};

/*--------------------------------------------------------------------------------
	memory stuff
--------------------------------------------------------------------------------*/
resource 'mem!' (132,
#if qNames
	"Additional Stack Space",
#endif
	purgeable) {
	0,				// Add to object heap size
	0,				// Add to heap increment size
	0,				// Add to temporary reserve
	0,				// Add to permanent reserve
	49152			// Add to stack space
};



/*	Printing to the LaserWriter is the time when the most temporary memory
	is in use.  We need the segments in use at that time */

resource 'seg!' (256, purgeable) {
	{
		"GNonRes";
		"GClipboard";
		"GClose";
		"GFile";
		"GOpen";
		"GReadFile";
		"GSelCommand";
		"GFinder";
		"GWriteFile";
		"BBNonRes";
		"BBOpen";
		"GNonRes2";
		"GPrint";
		"GReadResource";
		"TESelCommand";
	}
};

#if qPowerPC
#include "CodeFragmentTypes.r"

resource 'cfrg' (0, "Configuration Info") {
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		0,
		0,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"Dialogs"
	}
};
#endif


//======================================================================================
include "Defaults.rsrc" 'CMNU' (mApple);				// default Apple menus
include "Defaults.rsrc" 'CMNU' (mEdit);				// default Edit menus

include "Defaults.rsrc"  'ALRT' (phAboutApp);	// Grab the default about box
include "Defaults.rsrc"  'DITL' (phAboutApp);	// Grab the default about box
include "Defaults.rsrc"  'STR#' (kDefaultCredits);		// Grab the default credits

//======================================================================================

resource 'CMNU' (2) {
	2,
	textMenuProc,
	0x7FFFFBBB,
	enabled,
	"File",
	 {
		"Close", noIcon, noKey, noMark, plain, cClose;
		"-", noIcon, noKey, noMark, plain, nocommand;
		"Quit", noIcon, "Q", noMark, plain, cQuit
	}
};

resource 'CMNU' (4) {
	4,
	textMenuProc,
	0x7FFFFFFF,
	enabled,
	"CheckThisOut",
	 {
		"PICTDialog", noIcon, "N", noMark, plain, 4000
	}
};


resource 'MBAR' (kMBarDisplayed,
#if qNames
"Dialogs",
#endif
	purgeable) {
	{mApple; 2; mEdit; 4; }
};



resource 'STR#' (1006, "Window titles", purgeable) {
	{	/* array StringArray: 1 elements */
		/* [1] */
		"Modal Dialog"
	}
};

resource 'STR#' (1001, "Button labels", purgeable) {
	{	/* array StringArray: 2 elements */
		/* [1] */
		"OK",
		/* [2] */
		"cancel"
	}
};

resource 'STR#' (1005, "Static Text text", purgeable) {
	{	/* array StringArray: 2 elements */
		/* [1] */
		"\"Andre Agassi\"",
		/* [2] */
		"Enter name:"
	}
};

resource 'TxSt' (1000, purgeable) {
	tsPlain,
	0,
	{	/* array: 3 elements */
		/* [1] */
		0x0,
		/* [2] */
		0x0,
		/* [3] */
		0x0
	},
	"Chicago"
};

resource 'TxSt' (1001, purgeable) {
	tsItalic,
	9,
	{	/* array: 3 elements */
		/* [1] */
		0xBC6,
		/* [2] */
		0x8000,
		/* [3] */
		0x1859
	},
	"Geneva"
};

resource 'TxSt' (1002, purgeable) {
	3,
	9,
	{	/* array: 3 elements */
		/* [1] */
		0x1CED,
		/* [2] */
		0x1F1E,
		/* [3] */
		0xD000
	},
	"Geneva"
};

resource 'View' (3000, "modal", purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 921, "", 'WIND', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDIALOGBEHAVIOR", DialogBehavior {enabled, noIdle, modal, noID, noID}}}, MAThreeOh, 
		{50, 0}, {144, 288}, sizeVariable, sizeVariable, notShown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, emptyUserArea, 
		Window {dBoxProc, 'name', noGoAwayBox, notResizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, doesntCloseDocument, dontOpenWithDocument, dontAdaptToScreen, dontStagger, dontForceOnScreen, 
			centerHorizontally, doesntFloat, doesntHideOnSuspend, generateActivates, filler, 1006, 1}, 1}, 
	ViewSignatureAndClassname
		{'dlog', 750, "", 'dlog', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {144, 288}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		DialogView {'okok', 'cncl'}, 5}, 
	ViewSignatureAndClassname
		{'butn', 204, "", 'okok', enabled, noIdle, {}, MAThreeOh, 
		{112, 192}, {24, 88}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		DrawingEnvironmentClassIDAndClassname {68, DrawingEnvironment, {3, 3}, 8, $"FFFF FFFF FFFF FFFF", {0, 0, 0}, {65535, 65535, 65535}}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"40"}}}, emptyUserArea, 
		Button {mDismiss, notHilited, notDimmed, sizeable, {4, 4, 4, 4}, 1000, dontPreferOutline, 1001, 1}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'edit', 160, "", 'name', enabled, noIdle, {}, MAThreeOh, 
		{36, 192}, {20, 88}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		EditText {mEditTextHit, notHilited, notDimmed, sizeable, {2, 2, 2, 2}, 1001, dontPreferOutline, autoWrap, dontEraseFirst, forceLeft, 1005, 1, 15, LeftRightUpDownBackspace}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", 'stat', notEnabled, noIdle, {}, MAThreeOh, 
		{4, 192}, {20, 88}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 1002, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 1005, 2}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'butn', 92, "", 'cncl', enabled, noIdle, {}, MAThreeOh, 
		{84, 192}, {20, 84}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Button {mDismiss, notHilited, notDimmed, sizeable, noInset, 1000, dontPreferOutline, 1001, 2}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'pict', 98, "TPicture", 'pic1', notEnabled, noIdle, {}, MAThreeOh, 
		{4, 8}, {132, 176}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Picture {mPictureHit, notHilited, notDimmed, sizeable, noInset, 1000, dontPreferOutline, 9999}, 
		NoSubviews}
	}
};


resource 'PICT' (9999) {
	4320,
	{294, 459, 434, 660},
	$"0011 02FF 0C00 FFFF FFFF 01CB 0000 0126"
	$"0000 0294 0000 01B2 0000 0000 0000 00A0"
	$"0082 00A0 008E 001E 0001 000A 0126 01CB"
	$"01B2 0294 0098 80D0 0126 01CB 01B2 029B"
	$"0000 0000 0000 0000 0048 0000 0048 0000"
	$"0000 0008 0001 0008 0000 0000 0114 4940"
	$"0000 0000 0000 0456 8000 00FF 0800 FFFF"
	$"FFFF FFFF 0800 FFFF FFFF CCCC 0800 FFFF"
	$"FFFF 9999 0800 FFFF FFFF 6666 0800 FFFF"
	$"FFFF 3333 0800 FFFF FFFF 0000 0800 FFFF"
	$"CCCC FFFF 0800 FFFF CCCC CCCC 0800 FFFF"
	$"CCCC 9999 0800 FFFF CCCC 6666 0800 FFFF"
	$"CCCC 3333 0800 FFFF CCCC 0000 0800 FFFF"
	$"9999 FFFF 0800 FFFF 9999 CCCC 0800 FFFF"
	$"9999 9999 0800 FFFF 9999 6666 0800 FFFF"
	$"9999 3333 0800 FFFF 9999 0000 0800 FFFF"
	$"6666 FFFF 0800 FFFF 6666 CCCC 0800 FFFF"
	$"6666 9999 0800 FFFF 6666 6666 0800 FFFF"
	$"6666 3333 0800 FFFF 6666 0000 0800 FFFF"
	$"3333 FFFF 0800 FFFF 3333 CCCC 0800 FFFF"
	$"3333 9999 0800 FFFF 3333 6666 0800 FFFF"
	$"3333 3333 0800 FFFF 3333 0000 0800 FFFF"
	$"0000 FFFF 0800 FFFF 0000 CCCC 0800 FFFF"
	$"0000 9999 0800 FFFF 0000 6666 0800 FFFF"
	$"0000 3333 0800 FFFF 0000 0000 0800 CCCC"
	$"FFFF FFFF 0800 CCCC FFFF CCCC 0800 CCCC"
	$"FFFF 9999 0800 CCCC FFFF 6666 0800 CCCC"
	$"FFFF 3333 0800 CCCC FFFF 0000 0800 CCCC"
	$"CCCC FFFF 0800 CCCC CCCC CCCC 0800 CCCC"
	$"CCCC 9999 0800 CCCC CCCC 6666 0800 CCCC"
	$"CCCC 3333 0800 CCCC CCCC 0000 0800 CCCC"
	$"9999 FFFF 0800 CCCC 9999 CCCC 0800 CCCC"
	$"9999 9999 0800 CCCC 9999 6666 0800 CCCC"
	$"9999 3333 0800 CCCC 9999 0000 0800 CCCC"
	$"6666 FFFF 0800 CCCC 6666 CCCC 0800 CCCC"
	$"6666 9999 0800 CCCC 6666 6666 0800 CCCC"
	$"6666 3333 0800 CCCC 6666 0000 0800 CCCC"
	$"3333 FFFF 0800 CCCC 3333 CCCC 0800 CCCC"
	$"3333 9999 0800 CCCC 3333 6666 0800 CCCC"
	$"3333 3333 0800 CCCC 3333 0000 0800 CCCC"
	$"0000 FFFF 0800 CCCC 0000 CCCC 0800 CCCC"
	$"0000 9999 0800 CCCC 0000 6666 0800 CCCC"
	$"0000 3333 0800 CCCC 0000 0000 0800 9999"
	$"FFFF FFFF 0800 9999 FFFF CCCC 0800 9999"
	$"FFFF 9999 0800 9999 FFFF 6666 0800 9999"
	$"FFFF 3333 0800 9999 FFFF 0000 0800 9999"
	$"CCCC FFFF 0800 9999 CCCC CCCC 0800 9999"
	$"CCCC 9999 0800 9999 CCCC 6666 0800 9999"
	$"CCCC 3333 0800 9999 CCCC 0000 0800 9999"
	$"9999 FFFF 0800 9999 9999 CCCC 0800 9999"
	$"9999 9999 0800 9999 9999 6666 0800 9999"
	$"9999 3333 0800 9999 9999 0000 0800 9999"
	$"6666 FFFF 0800 9999 6666 CCCC 0800 9999"
	$"6666 9999 0800 9999 6666 6666 0800 9999"
	$"6666 3333 0800 9999 6666 0000 0800 9999"
	$"3333 FFFF 0800 9999 3333 CCCC 0800 9999"
	$"3333 9999 0800 9999 3333 6666 0800 9999"
	$"3333 3333 0800 9999 3333 0000 0800 9999"
	$"0000 FFFF 0800 9999 0000 CCCC 0800 9999"
	$"0000 9999 0800 9999 0000 6666 0800 9999"
	$"0000 3333 0800 9999 0000 0000 0800 6666"
	$"FFFF FFFF 0800 6666 FFFF CCCC 0800 6666"
	$"FFFF 9999 0800 6666 FFFF 6666 0800 6666"
	$"FFFF 3333 0800 6666 FFFF 0000 0800 6666"
	$"CCCC FFFF 0800 6666 CCCC CCCC 0800 6666"
	$"CCCC 9999 0800 6666 CCCC 6666 0800 6666"
	$"CCCC 3333 0800 6666 CCCC 0000 0800 6666"
	$"9999 FFFF 0800 6666 9999 CCCC 0800 6666"
	$"9999 9999 0800 6666 9999 6666 0800 6666"
	$"9999 3333 0800 6666 9999 0000 0800 6666"
	$"6666 FFFF 0800 6666 6666 CCCC 0800 6666"
	$"6666 9999 0800 6666 6666 6666 0800 6666"
	$"6666 3333 0800 6666 6666 0000 0800 6666"
	$"3333 FFFF 0800 6666 3333 CCCC 0800 6666"
	$"3333 9999 0800 6666 3333 6666 0800 6666"
	$"3333 3333 0800 6666 3333 0000 0800 6666"
	$"0000 FFFF 0800 6666 0000 CCCC 0800 6666"
	$"0000 9999 0800 6666 0000 6666 0800 6666"
	$"0000 3333 0800 6666 0000 0000 0800 3333"
	$"FFFF FFFF 0800 3333 FFFF CCCC 0800 3333"
	$"FFFF 9999 0800 3333 FFFF 6666 0800 3333"
	$"FFFF 3333 0800 3333 FFFF 0000 0800 3333"
	$"CCCC FFFF 0800 3333 CCCC CCCC 0800 3333"
	$"CCCC 9999 0800 3333 CCCC 6666 0800 3333"
	$"CCCC 3333 0800 3333 CCCC 0000 0800 3333"
	$"9999 FFFF 0800 3333 9999 CCCC 0800 3333"
	$"9999 9999 0800 3333 9999 6666 0800 3333"
	$"9999 3333 0800 3333 9999 0000 0800 3333"
	$"6666 FFFF 0800 3333 6666 CCCC 0800 3333"
	$"6666 9999 0800 3333 6666 6666 0800 3333"
	$"6666 3333 0800 3333 6666 0000 0800 3333"
	$"3333 FFFF 0800 3333 3333 CCCC 0800 3333"
	$"3333 9999 0800 3333 3333 6666 0800 3333"
	$"3333 3333 0800 3333 3333 0000 0800 3333"
	$"0000 FFFF 0800 3333 0000 CCCC 0800 3333"
	$"0000 9999 0800 3333 0000 6666 0800 3333"
	$"0000 3333 0800 3333 0000 0000 0800 0000"
	$"FFFF FFFF 0800 0000 FFFF CCCC 0800 0000"
	$"FFFF 9999 0800 0000 FFFF 6666 0800 0000"
	$"FFFF 3333 0800 0000 FFFF 0000 0800 0000"
	$"CCCC FFFF 0800 0000 CCCC CCCC 0800 0000"
	$"CCCC 9999 0800 0000 CCCC 6666 0800 0000"
	$"CCCC 3333 0800 0000 CCCC 0000 0800 0000"
	$"9999 FFFF 0800 0000 9999 CCCC 0800 0000"
	$"9999 9999 0800 0000 9999 6666 0800 0000"
	$"9999 3333 0800 0000 9999 0000 0800 0000"
	$"6666 FFFF 0800 0000 6666 CCCC 0800 0000"
	$"6666 9999 0800 0000 6666 6666 0800 0000"
	$"6666 3333 0800 0000 6666 0000 0800 0000"
	$"3333 FFFF 0800 0000 3333 CCCC 0800 0000"
	$"3333 9999 0800 0000 3333 6666 0800 0000"
	$"3333 3333 0800 0000 3333 0000 0800 0000"
	$"0000 FFFF 0800 0000 0000 CCCC 0800 0000"
	$"0000 9999 0800 0000 0000 6666 0800 0000"
	$"0000 3333 0800 0000 0000 0000 0800 FFF0"
	$"FFF0 FFF0 0800 F960 F960 F960 0800 F2D0"
	$"F2D0 F2D0 0800 EC40 EC40 EC40 0800 E5B0"
	$"E5B0 E5B0 0800 DF20 DF20 DF20 0800 D890"
	$"D890 D890 0800 D200 D200 D200 0800 CB70"
	$"CB70 CB70 0800 C4E0 C4E0 C4E0 0800 BE50"
	$"BE50 BE50 0800 B7C0 B7C0 B7C0 0800 B130"
	$"B130 B130 0800 AAA0 AAA0 AAA0 0800 A410"
	$"A410 A410 0800 9D80 9D80 9D80 0800 96F0"
	$"96F0 96F0 0800 9060 9060 9060 0800 89D0"
	$"89D0 89D0 0800 8340 8340 8340 0800 7CB0"
	$"7CB0 7CB0 0800 7620 7620 7620 0800 6F90"
	$"6F90 6F90 0800 6900 6900 6900 0800 6270"
	$"6270 6270 0800 5BE0 5BE0 5BE0 0800 5550"
	$"5550 5550 0800 4EC0 4EC0 4EC0 0800 4830"
	$"4830 4830 0800 41A0 41A0 41A0 0800 3B10"
	$"3B10 3B10 0800 3480 3480 3480 0800 2DF0"
	$"2DF0 2DF0 0800 2760 2760 2760 0800 20D0"
	$"20D0 20D0 0800 1A40 1A40 1A40 0800 13B0"
	$"13B0 13B0 0800 0D20 0D20 0D20 0800 0690"
	$"0690 0690 0800 0000 0000 0000 0126 01CB"
	$"01B2 0294 0126 01CB 01B2 0294 0000 0481"
	$"00B1 0004 8100 B100 0481 00B1 0004 8100"
	$"B100 0481 00B1 0004 8100 B100 0481 00B1"
	$"0004 8100 B100 0481 00B1 0004 8100 B100"
	$"0481 00B1 0008 C400 F8FF 8100 F700 10DE"
	$"00FA FFF1 00FD FFFA 0000 FF81 00F7 0015"
	$"E000 FEFF FC00 FEFF F400 01FF FFF7 0000"
	$"FF81 00F7 0017 E100 01FF FFF8 0001 FFFF"
	$"F600 01FF FFF6 0000 FF81 00F7 0015 E100"
	$"00FF F600 00FF F700 01FF FFF5 0000 FF81"
	$"00F7 0017 E100 00FF F600 01FF FFF9 0001"
	$"FFFF F500 01FF FF81 00F7 0016 E100 00FF"
	$"F500 01FF FFFB 0001 FFFF F400 00FF 8100"
	$"F600 14E1 0000 FFF4 00F9 FFF4 0001 FFFF"
	$"9C00 01FF FFDD 0010 E200 01FF FFDF 0000"
	$"FF9B 0001 FFFF DD00 0EE2 0000 FFDE 0000"
	$"FF9B 00FE FFDE 0010 E200 00FF E400 FAFF"
	$"9B00 02FF 00FF DE00 11E2 0000 FFE6 00F9"
	$"FF9A 0003 FF00 FFFF DF00 12E2 0000 FFE6"
	$"00F9 FF9B 0004 FFFF 0000 FFDF 0012 E200"
	$"00FF E600 F9FF 9B00 00FF FE00 00FF DF00"
	$"15E3 0001 FFFF E700 F8FF 9C00 01FF FFFE"
	$"0001 FFFF E000 12E3 0000 FFE6 00F8 FF9C"
	$"0000 FFFC 0000 FFE0 0014 E400 01FF FFE6"
	$"00F7 FF9E 0001 FFFF FC00 00FF E000 17E5"
	$"0001 FFFF F500 FDFF F500 F7FF 9E00 00FF"
	$"FB00 00FF E000 18E6 0001 FFFF F400 FDFF"
	$"F500 F7FF 9F00 01FF FFFB 0000 FFE0 0019"
	$"E700 01FF FFF3 00FD FFF4 00F8 FFA0 0001"
	$"FFFF FA00 01FF FFE1 0013 E900 FEFF E100"
	$"F8FF A100 01FF FFF8 0000 FFE1 0014 EA00"
	$"01FF FFDE 00F9 FFA2 0001 FFFF F700 00FF"
	$"E100 13EB 0001 FFFF DC00 F9FF A500 FEFF"
	$"F600 00FF E100 16ED 00FE FFDA 00FC FF02"
	$"00FF FFA8 00FE FFF4 0000 FFE1 0017 EF00"
	$"FEFF D600 01FF FFFE 00FE FFAC 00FE FFF2"
	$"0000 FFE1 0013 F200 FDFF CD00 FDFF B100"
	$"FEFF F100 01FF FFE1 0012 F500 FDFF C700"
	$"FEFF B500 FEFF EF00 00FF E000 15F6 0001"
	$"FFFF C200 01FF FFB7 0001 FFFF ED00 00FF"
	$"E000 14F7 0001 FFFF C000 FEFF BA00 01FF"
	$"FFEC 0000 FFE0 0015 F700 00FF BD00 01FF"
	$"FFBC 0001 FFFF EC00 01FF FFE0 0013 F700"
	$"00FF BC00 01FF FFBD 0000 FFEB 0000 FFDF"
	$"0013 F700 00FF BB00 00FF BE00 01FF FFEB"
	$"0000 FFDF 0014 F700 00FF BB00 FDFF C200"
	$"01FF FFEB 0001 FFFF DF00 13F7 0000 FFB8"
	$"00FB FFC9 00FE FFEB 0001 FFFF DE00 12F7"
	$"0000 FFB3 00F1 FFEB 00ED FFE9 0000 FFDD"
	$"000F F700 00FF AF00 CCFF E900 01FF FFDD"
	$"000F F700 01FF FFB1 00CB FFE9 0000 FFDC"
	$"000F F600 FEFF B200 CDFF E900 01FF FFDC"
	$"000F F400 01FF FFB2 00CF FFE8 0000 FFDB"
	$"000F F300 F2FF BF00 D0FF E900 01FF FFDB"
	$"000E E500 ECFF D200 D2FF E800 00FF DA00"
	$"10D1 0001 FFFF D100 D6FF E700 01FF FFDA"
	$"0010 D000 01FF FFD1 00D8 FFE7 0001 FFFF"
	$"D900 0ECF 0000 FFD0 00DA FFE6 0000 FFD8"
	$"0010 CF00 01FF FFCF 00DE FFE5 0001 FFFF"
	$"D800 0ECE 0000 FFCE 00E0 FFE4 0000 FFD7"
	$"000F CE00 00FF CD00 E2FF E400 01FF FFD7"
	$"000E CE00 00FF CC00 E4FF E300 00FF D600"
	$"0FCE 0001 FFFF CD00 E5FF E200 00FF D600"
	$"0ECD 0000 FFCC 00E8 FFE0 0000 FFD6 000E"
	$"CD00 00FF CC00 E9FF DF00 00FF D600 0FCD"
	$"0000 FFCA 00EC FFDF 0001 FFFF D600 0ECD"
	$"00FE FFC9 00F2 FFDC 0000 FFD5 000A CD00"
	$"FCFF 9700 00FF D500 0ACD 00FB FF98 0000"
	$"FFD5 000B CD00 FAFF 9A00 01FF FFD5 000A"
	$"CD00 F6FF 9E00 00FF D400 0BCD 00F4 FFA0"
	$"0001 FFFF D500 0ACD 00F3 FFA0 0000 FFD5"
	$"000A CD00 F3FF A000 00FF D500 0ACD 00F3"
	$"FFA0 0000 FFD5 000A CD00 F3FF A000 00FF"
	$"D500 0ACD 00F2 FFA1 0000 FFD5 000A CD00"
	$"F2FF A100 00FF D500 0BCD 00F2 FFA1 0001"
	$"FFFF D600 0ACD 00F2 FFA0 0000 FFD6 000A"
	$"CD00 F3FF 9F00 00FF D600 0ACD 00F3 FF9F"
	$"0000 FFD6 000A CD00 F3FF 9F00 00FF D600"
	$"0ACD 00F4 FF9E 0000 FFD6 000A CD00 F5FF"
	$"9D00 00FF D600 0BCD 00F9 FF99 0001 FFFF"
	$"D700 0ACD 00FA FF97 0000 FFD7 000A CD00"
	$"FBFF 9600 00FF D700 0ACD 00FC FF95 0000"
	$"FFD7 000A CD00 00FF 9100 00FF D700 0ECD"
	$"0000 FFE3 00D6 FFDA 0000 FFD7 0012 CD00"
	$"00FF EA00 F9FF D800 FAFF E000 00FF D700"
	$"13CD 0000 FFEC 00FE FFCB 00FB FFE5 0001"
	$"FFFF D800 13CD 0000 FFEC 0000 FFC4 0001"
	$"FFFF E500 00FF D800 14CD 0000 FFED 0001"
	$"FFFF C300 01FF FFE6 0000 FFD8 0012 CD00"
	$"00FF ED00 00FF C100 FEFF E800 00FF D800"
	$"13CD 0000 FFED 0000 FFBF 0001 FFFF E900"
	$"00FF D800 13CD 0000 FFED 0000 FFBE 0001"
	$"FFFF EA00 00FF D800 13CD 0000 FFED 0000"
	$"FFBD 0001 FFFF EB00 00FF D800 12CD 0000"
	$"FFED 0000 FFBC 0000 FFEB 0000 FFD8 0013"
	$"CE00 01FF FFED 0000 FFBC 0000 FFEB 0000"
	$"FFD8 0013 CE00 00FF EC00 00FF BC00 01FF"
	$"FFEC 0000 FFD8 0012 CE00 00FF EC00 00FF"
	$"BB00 00FF EC00 00FF D800 12CE 0000 FFEC"
	$"0000 FFBB 0000 FFEC 0000 FFD8 0012 CE00"
	$"00FF EC00 00FF BB00 00FF EC00 00FF D800"
	$"13CE 0000 FFEC 0000 FFBB 0001 FFFF ED00"
	$"00FF D800 12CE 0000 FFEC 0000 FFBA 0000"
	$"FFED 0000 FFD8 0013 CE00 00FF ED00 01FF"
	$"FFBA 0000 FFED 0000 FFD8 0012 CE00 00FF"
	$"ED00 00FF B900 00FF ED00 00FF D800 13CE"
	$"0000 FFED 0000 FFB9 0000 FFEE 0001 FFFF"
	$"D800 12CE 0000 FFED 0000 FFB9 0000 FFEE"
	$"0000 FFD7 0013 CF00 01FF FFED 0000 FFB9"
	$"0000 FFEE 0000 FFD7 0014 CF00 00FF EC00"
	$"00FF BA00 01FF FFEF 0001 FFFF D700 12CF"
	$"0000 FFEC 0000 FFBA 0000 FFEE 0000 FFD6"
	$"0013 CF00 00FF ED00 01FF FFBA 0000 FFEE"
	$"0000 FFD6 0014 D000 01FF FFED 0000 FFB9"
	$"0000 FFEF 0001 FFFF D600 14D0 0000 FFED"
	$"0001 FFFF BA00 01FF FFEF 0000 FFD5 0015"
	$"D100 01FF FFEE 0001 FFFF BA00 01FF FFEE"
	$"0000 FFD5 0014 D100 00FF ED00 00FF BA00"
	$"01FF FFEE 0001 FFFF D500 15D2 0001 FFFF"
	$"EE00 01FF FFBA 0000 FFEE 0001 FFFF D400"
	$"16D3 0001 FFFF EE00 01FF FFBA 0001 FFFF"
	$"EF00 01FF FFD3 0015 D400 01FF FFEE 0001"
	$"FFFF BC00 FDFF EF00 01FF FFD2 0014 D500"
	$"01FF FFEF 00FE FFBD 00FE FFED 0001 FFFF"
	$"D100 15D5 0001 FFFF F100 FEFF BC00 01FF"
	$"FFEC 0001 FFFF D000 14D4 0001 FFFF F300"
	$"01FF FFBA 00FE FFEF 00FE FFCF 0012 D300"
	$"FEFF FB00 FAFF B700 F9FF FB00 FBFF CD00"
	$"0AD1 00F9 FFAA 00F9 FFC8 0004 8100 B100"
	$"0481 00B1 0004 8100 B100 0481 00B1 0004"
	$"8100 B100 0481 00B1 0004 8100 B100 0481"
	$"00B1 0004 8100 B100 0481 00B1 0004 8100"
	$"B100 0481 00B1 0004 8100 B100 0481 00B1"
	$"0004 8100 B100 0481 00B1 0000 00A0 008F"
	$"00A0 0083 00FF"
};
