// Copyright (c) 1991 Apple Computer. All rights reserved.

// INCLUDES 

#ifndef __TYPES_R__
#include "Types.r"
#endif

#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

#ifndef __BalloonTypes__
#include "BalloonTypes.r"
#endif

#if qDebug
include "Debug.rsrc" not 'ckid';
#endif
include "MacApp.rsrc" not 'ckid';
include "Dialog.rsrc" not 'ckid';


// RESOURCES FILES

// CODE 

#if !qPowerPC
include $$Shell("ObjApp")"Dialogs" 'CODE';
#endif

// CONSTANTS

// Finder Information

#define kApplicationName				$$Shell("XAppName")

resource 'SIZE' (-1) {
	saveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	doesActivateOnFGSwitch,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreAppDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	isStationeryAware,				
	reserved,
	reserved,
	reserved,
	reserved,
#if qModelFarCode
	1550 * 1024,
	1500 * 1024,
#elif qDebug
	1500 * 1024,
	1475 * 1024
#else
	1375 * 1024,
	1350 * 1024
#endif
};

/*--------------------------------------------------------------------------------
	memory stuff
--------------------------------------------------------------------------------*/
resource 'mem!' (132,
#if qNames
	"Additional Stack Space",
#endif
	purgeable) {
	0,				// Add to object heap size
	0,				// Add to heap increment size
	0,				// Add to temporary reserve
	0,				// Add to permanent reserve
	49152			// Add to stack space
};



/*	Printing to the LaserWriter is the time when the most temporary memory
	is in use.  We need the segments in use at that time */

resource 'seg!' (256, purgeable) {
	{
		"GNonRes";
		"GClipboard";
		"GClose";
		"GFile";
		"GOpen";
		"GReadFile";
		"GSelCommand";
		"GFinder";
		"GWriteFile";
		"BBNonRes";
		"BBOpen";
		"GNonRes2";
		"GPrint";
		"GReadResource";
		"TESelCommand";
	}
};

#if qPowerPC
#include "CodeFragmentTypes.r"

resource 'cfrg' (0, "Configuration Info") {
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		0,
		0,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"Dialogs"
	}
};
#endif


//======================================================================================
include "Defaults.rsrc" 'CMNU' (mApple);				// default Apple menus
include "Defaults.rsrc" 'CMNU' (mEdit);				// default Edit menus

include "Defaults.rsrc"  'ALRT' (phAboutApp);	// Grab the default about box
include "Defaults.rsrc"  'DITL' (phAboutApp);	// Grab the default about box
include "Defaults.rsrc"  'STR#' (kDefaultCredits);		// Grab the default credits

resource 'CMNU' (2) {
	2,
	textMenuProc,
	0x7FFFFBBB,
	enabled,
	"File",
	 {
		"Close", noIcon, noKey, noMark, plain, cClose;
		"-", noIcon, noKey, noMark, plain, nocommand;
		"Quit", noIcon, "Q", noMark, plain, cQuit
	}
};

resource 'MBAR' (kMBarDisplayed,
#if qNames
"Dialogs",
#endif
	purgeable) {
	{mApple; 2; mEdit; }
};


// View for our Modeless dialog
resource 'View' (2000, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 734, "", 'WIND', enabled, noIdle, {}, MAThreeOh, 
		{50, 40}, {250, 370}, sizeVariable, sizeVariable, notShown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, 0,
		Window {documentProc, 'DLOG', goAwayBox, resizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, dontStagger, dontForceOnScreen, 
			dontCenter, doesntFloat, doesntHideOnSuspend, generateActivates, 0, 1107, 1}, 1}, 
	ViewSignatureAndClassname
		{'dlog', 1140, "TModelessView", 'DLOG', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {208, 352}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		DialogView {noID, noID}, 6}, 
	ViewSignatureAndClassname
		{'clus', 290, "", 'clus', notEnabled, noIdle, {}, MAThreeOh, 
		{68, 192}, {96, 140}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Cluster {mClusterHit, notHilited, notDimmed, sizeable, noInset, 1100, dontPreferOutline, 1104, 1}, 2}, 
	ViewSignatureAndClassname
		{'radb', 93, "", 'sel1', enabled, noIdle, {}, MAThreeOh, 
		{32, 16}, {24, 108}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Radio {mRadioHit, notHilited, notDimmed, sizeable, noInset, 1101, dontPreferOutline, on, 1100, 1}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'radb', 93, "", 'sel2', enabled, noIdle, {}, MAThreeOh, 
		{64, 16}, {16, 112}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Radio {mRadioHit, notHilited, notDimmed, sizeable, noInset, 1102, dontPreferOutline, off, 1100, 2}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 154, "", 'VW01', notEnabled, noIdle, {}, MAThreeOh, 
		{46, 16}, {18, 92}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"8F"}}}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 1103, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 1105, 1}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'edit', 160, "", 'edit', enabled, noIdle, {}, MAThreeOh, 
		{80, 16}, {24, 144}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		EditText {mEditTextHit, notHilited, notDimmed, sizeable, {2, 2, 2, 2}, 1104, dontPreferOutline, autoWrap, dontEraseFirst, forceLeft, 1105, 2, 20, LeftRightUpDownBackspace}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 154, "", 'VW02', notEnabled, noIdle, {}, MAThreeOh, 
		{112, 16}, {16, 92}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"8F"}}}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 1105, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 1105, 3}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'edit', 167, "", 'edi2', notEnabled, noIdle, {}, MAThreeOh, 
		{144, 16}, {24, 144}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}, 117, AdornerLocalObject {DimAdorner}}}, emptyUserArea, 
		EditText {mEditTextHit, notHilited, dimmed, sizeable, {2, 2, 2, 2}, 1104, dontPreferOutline, autoWrap, dontEraseFirst, forceLeft, 1105, 4, 20, LeftRightUpDownBackspace}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", 'VW03', notEnabled, noIdle, {}, MAThreeOh, 
		{16, 24}, {16, 308}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 1106, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 1105, 5}, 
		NoSubviews}
	}
};

resource 'STR#' (1107, "Window titles", purgeable) {
	{	/* array StringArray: 1 elements */
		/* [1] */
		"TEditText Example"
	}
};

resource 'STR#' (1104, "Cluster labels", purgeable) {
	{	/* array StringArray: 1 elements */
		/* [1] */
		"please select"
	}
};

resource 'STR#' (1100, "Radio Button labels", purgeable) {
	{	/* array StringArray: 2 elements */
		/* [1] */
		"Selection 1",
		/* [2] */
		"Selection 2"
	}
};

resource 'STR#' (1105, "Static Text text", purgeable) {
	{	/* array StringArray: 5 elements */
		/* [1] */
		"Selection 1:",
		/* [2] */
		"Jeff Beck",
		/* [3] */
		"Selection 2:",
		/* [4] */
		"Steve Vai",
		/* [5] */
		"Here's an example of switchable TEditTex"
		"t views..."
	}
};

resource 'TxSt' (1100, purgeable) {
	tsPlain,
	0,
	{	/* array: 3 elements */
		/* [1] */
		0x0,
		/* [2] */
		0x0,
		/* [3] */
		0x0
	},
	"Chicago"
};

resource 'TxSt' (1101, purgeable) {
	tsBold,
	0,
	{	/* array: 3 elements */
		/* [1] */
		0xA000,
		/* [2] */
		0x1,
		/* [3] */
		0x9DF1
	},
	"Geneva"
};

resource 'TxSt' (1102, purgeable) {
	tsBold,
	0,
	{	/* array: 3 elements */
		/* [1] */
		0x0,
		/* [2] */
		0x0,
		/* [3] */
		0x0
	},
	"Geneva"
};

resource 'TxSt' (1103, purgeable) {
	tsBold,
	0,
	{	/* array: 3 elements */
		/* [1] */
		0x14AD,
		/* [2] */
		0x179F,
		/* [3] */
		0xFFFF
	},
	"Geneva"
};

resource 'TxSt' (1104, purgeable) {
	tsPlain,
	0,
	{	/* array: 3 elements */
		/* [1] */
		0x3AB4,
		/* [2] */
		0x9B6,
		/* [3] */
		0x5000
	},
	"Geneva"
};

resource 'TxSt' (1105, purgeable) {
	tsBold,
	0,
	{	/* array: 3 elements */
		/* [1] */
		0x1D37,
		/* [2] */
		0x153C,
		/* [3] */
		0xFFFF
	},
	"Geneva"
};

resource 'TxSt' (1106, purgeable) {
	tsPlain,
	10,
	{	/* array: 3 elements */
		/* [1] */
		0x0,
		/* [2] */
		0x0,
		/* [3] */
		0x0
	},
	"Geneva"
};
