// MWindoid.cp
// Copyright  1991 by Apple Computer, Inc. All rights reserved.

#pragma once


// INCLUDES ---------------------------------------------------------------------------

#include "UWindoid.h"
#include "WindoidRez.h"


// T H E   M A I N	P R O G R A M -----------------------------------------------------

#pragma processor 68000
#pragma segment Main


TWindoidApplication* gWindoidApplication;		// the application object 

void main()
{
	InitToolBox();								// essential toolbox and utilities initialization

	if (ValidateConfiguration(gConfiguration))	// make sure we can run
	{											// we made it! Continue with remainder of initialization 
		InitUMacApp(8);							// initialize MacApp; 8 calls to MoreMasters
		InitUDialog();							// initialize the TDialog view handling
		InitUMenuView();						// initialize the graphic menus unit
		InitUFloatWindow();						// initialize the float window unit
		InitUPrinting();						// initialize MacApp Printing

		// construct a new TWindoidApplication object, allocation errors are checked for.
		gWindoidApplication = new TWindoidApplication;
		gWindoidApplication->IWindoidApplication(kFileType, kSignature);

		gWindoidApplication->Run(); 			// run the application, when it's done - exit.
	}
	else
		StdAlert(phUnsupportedConfiguration);
}


